Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast::Ack Struct Reference

`#include <RMCast.h>`

Collaboration diagram for ACE_RMCast::Ack:

[legend]
List of all members.

## Public Attributes
ACE_UINT32 | next_expected
| The last message received without any losses before it.
ACE_UINT32 | highest_received
| The last message successfully received.
ACE_RMCast_Proxy * | source
| Pass the proxy source between layers.

## Detailed Description

This message is used to provide feedback information to senders. It contains two sequence numbers:

Parameters:

  next_expected: | is the sequence number of the next message expected, i.e. (next_expected-1) is the last message received without any losses before it.

Parameters:

  highest_received: | is the highest sequence number among all the messages successfully received. In other words, all messages lost (if any) are in the range: [next_expected,highest_received)

`+---------+----------------------+
| 8 bits | RMCAST_MT_ACK |
+---------+----------------------+
| 32 bits | next_expected |
+---------+----------------------+
| 32 bits | highest_received |
+---------+----------------------+
`

## Member Data Documentation

ACE_UINT32 ACE_RMCast::Ack::highest_received

| The last message successfully received.

ACE_UINT32 ACE_RMCast::Ack::next_expected

| The last message received without any losses before it.

ACE_RMCast_Proxy* ACE_RMCast::Ack::source

| Pass the proxy source between layers.

The documentation for this struct was generated from the following file:

- RMCast.h